com.pivotal.gemfirexd.internal.client.net

## Class NetConnection.ConnectionCreator

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.NetConnection.ConnectionCreator

All Implemented Interfaces:
  com.pivotal.gemfirexd.internal.shared.common.QueueObjectCreator

Enclosing class:
  NetConnection

    public static final class NetConnection.ConnectionCreator
    extends Object
    implements com.pivotal.gemfirexd.internal.shared.common.QueueObjectCreator

### Constructor Summary

Constructors
Constructor and Description
`NetConnection.ConnectionCreator(String host, String port, Properties props)`

### Method Summary

Methods
`Object` `create()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NetConnection.ConnectionCreator

    public NetConnection.ConnectionCreator(String host,
                                   String port,
                                   Properties props)

### Method Detail

#### create

    public Object create()
                  throws SQLException

Specified by:
  `create` in interface `com.pivotal.gemfirexd.internal.shared.common.QueueObjectCreator`
Throws:
  `SQLException`